FIX!: update ruby verion (3.1.2 instead off 3.0.3)

requires a DS software version
greater than or equal to 2022-04-13-01
see: https://github.com/betagouv/demarches-simplifiees.fr/releases/tag/2022-04-13-01


Refs: #35
6 jobs for 35-require-ruby-3-1-2-instead-off-ruby-3-0-3-2 in 47 seconds (queued for 2 seconds)